/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workactivity.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

import java.util.List;

/**
 * 工作流审批信息Entity
 * @author 杨帆
 * @version 2018-01-30
 */
public class WorkActivityProcess extends DataEntity<WorkActivityProcess> {
	
	private static final long serialVersionUID = 1L;
	private String processKey;			// 流程标识
	private String isApproval;			// 是否审批，1 审批通过。2审批未通过
	private String processInstanceId;		// 实例流程id
	private int count;
	private Activity activity;
	private String activityTask;
	private String type;
	private List<WorkActivityProcessUser> processUserList;
	
	public WorkActivityProcess() {
		super();
	}

	public WorkActivityProcess(String id){
		super(id);
	}

	@ExcelField(title="流程标识", align=2, sort=7)
	public String getProcessKey() {
		return processKey;
	}

	public void setProcessKey(String processKey) {
		this.processKey = processKey;
	}
	
	@ExcelField(title="是否审批", align=2, sort=8)
	public String getIsApproval() {
		return isApproval;
	}

	public void setIsApproval(String isApproval) {
		this.isApproval = isApproval;
	}
	
	@ExcelField(title="实例流程id", align=2, sort=9)
	public String getProcessInstanceId() {
		return processInstanceId;
	}

	public void setProcessInstanceId(String processInstanceId) {
		this.processInstanceId = processInstanceId;
	}

	public int getCount() {
		return count;
	}

	public void setCount(int count) {
		this.count = count;
	}

	public Activity getActivity() {
		return activity;
	}

	public void setActivity(Activity activity) {
		this.activity = activity;
	}

	public String getActivityTask() {
		return activityTask;
	}

	public void setActivityTask(String activityTask) {
		this.activityTask = activityTask;
	}

	public List<WorkActivityProcessUser> getProcessUserList() {
		return processUserList;
	}

	public void setProcessUserList(List<WorkActivityProcessUser> processUserList) {
		this.processUserList = processUserList;
	}

	public String getType() {
		return type;
	}

	public void setType(String type) {
		this.type = type;
	}
}